中华钢结构论坛 China Structure Forum                                              XinY structural consultants ltd

 
求助快捷方法!
yuanshangji






积分 26
帖子 34
2005-7-1 17:46    顶部


我把钢筋网画好了,但得知纵向的钢筋旋转10°,横向不变,我只有一条一条的旋转,请问有没有快捷的方法?
白白又胖胖






积分 6
帖子 6
2005-7-3 15:53    顶部


将其定义成块,然后旋转一根,再用特性匹配匹配试一下。
dezhoupaji






积分 480
帖子 410
2005-7-3 16:00    顶部


可以先把纵向钢筋的两端加上两道封头的线,从而形成一个封闭的图形,再把所有的纵向钢筋和你后加的两道线定义成一个面域,你只要旋转这个面域就可以了,然后再把你后加的两道线去掉,我刚试了,完全可以。
oh_mylove






积分 112
帖子 79
2005-7-4 08:40    顶部


用stretch命令吧,一拖拽就行了




[b][u]The simplest is the best.[/u][/b]
yuanshangji






积分 26
帖子 34
2005-7-4 09:31    顶部


oh-mylove 的方法较好。dezhoupaijini de 你的封头线在旋转的时候也会旋转,端头钢筋会出尺寸线。白白又胖胖你的方法太高深,我还是掌握不了,你能详细的说说吗?
aspire






积分 6
帖子 5
2017-2-13 09:24    QQ 顶部


先定义为组,再对组进行统一的旋转。
要用到这三个命令
group
pickstyle
ROTATE



责任 热情
cable2004






积分 44
帖子 53
2017-2-14 08:14    QQ 顶部
(defun LM:ssboundingbox ( sel / idx llp ls1 ls2 obj urp )
    (repeat (setq idx (sslength sel))
        (setq obj (vlax-ename->vla-object (ssname sel (setq idx (1- idx)))))
        (if (and (vlax-method-applicable-p obj 'getboundingbox)
                 (not (vl-catch-all-error-p (vl-catch-all-apply 'vla-getboundingbox (list obj 'llp 'urp))))
            )
            (setq ls1 (cons (vlax-safearray->list llp) ls1)
                  ls2 (cons (vlax-safearray->list urp) ls2)
            )
        )
    )
    (if (and ls1 ls2)
        (mapcar '(lambda ( a b ) (apply 'mapcar (cons a b))) '(min max) (list ls1 ls2))
    )
)
;
(defun c:tt()
  (setq ss (ssget))
  (if ss (progn
           (setq box (LM:ssboundingbox ss)
                 mid (mapcar '(lambda(a b)(* 0.5 (+ a b)))(car box)(cadr box))
                 )
           (command "ROTATE" ss "" mid 90)
           ))
)



膜结构http://www.nkmjg.cn/ 江西膜结构http://www.nkmjg.com/
 


上海市通信管理局
沪ICP备020910
联系我们 版权声明 发帖规则 论坛制度 关于我们
版权所有.中华钢结构论坛.永久保留所有权利

[Processing Time] User:0.28, System:0.03, Children of user:0, Children of system:0